Page MenuHomePhabricator

Ensure that maps server can be automatically installed (fully puppetized)
Closed, ResolvedPublic

Description

While installing new maps servers, I ran into a number of manual steps that need to be performed to setup the servers. This need to be automated. Some of the steps, like initial data load are expected to be long running and thus probably not suited to be implemented in Puppet.

Non exhaustive list (I did too much fiddling around to keep track):

  • postgres database initialization
  • postgres role / access configuration
  • initialization of slaves
  • initial data load
  • ability to test all of the above on a test server

Event Timeline

Gehel created this task.May 19 2016, 3:51 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 19 2016, 3:51 PM
Gehel updated the task description. (Show Details)Jun 7 2016, 3:11 PM
Gehel updated the task description. (Show Details)Jun 7 2016, 3:14 PM
Yurik added a comment.Jun 7 2016, 5:30 PM

Maps team permissions task - T106637

Where are we at on this really? I understand that database initialization can't be automated, but is the rest of the setup pretty much auto-pilot puppetization from initial install?

Gehel added a comment.Jun 16 2016, 8:51 PM

We are good enough at the moment. Some notes about things we still need to improve are in T138017.

Gehel closed this task as Resolved.Jun 16 2016, 8:51 PM